Subject: Re: GSoC - Some questions on the idea of

From: Neal Kreitzinger <[email-masked]>
Date: Sat, 31 Mar 2012 11:18:16 -0500

On 3/31/2012 6:02 AM, Sergio Callegari wrote:
> I wonder if it could make sense to have some pluggable mechanism for
>  file splitting. Something under the lines of filters, so to say.
> Bupsplit can be a rather general mechanism, but large binaries that
> are containers (zip, jar, docx, tgz, pdf - seen as a collection of
> streams) may possibly be more conveniently split by their inherent
> components.
>

gitattributes or gitconfig could configure the big-file handler for 
specified files.  Known/supported filetypes like gif, png, zip, pdf, 
etc., could be auto-configured by git.  Any yet-unknown/yet-unsupported 
filetypes could be configured manually by the user, e.g.
*.zgp=bigcontainer

v/r,
neal